Package org.apache.sling.servlethelpers

# Interface MockRequestDispatcherFactory

@ConsumerType @Deprecated(since="2.0.0") public interface MockRequestDispatcherFactory
Deprecated.
Use `MockJakartaRequestDispatcherFactory` instead.
Interface to create a mock `RequestDispatcher` when calling the getRequestDispatcher methods on `MockSlingHttpServletRequest` instances.

## Method Summary

Modifier and Type
Method
Description
`javax.servlet.RequestDispatcher`
`getRequestDispatcher(String path, org.apache.sling.api.request.RequestDispatcherOptions options)`
Deprecated.
Get request dispatcher for given path.
`javax.servlet.RequestDispatcher`
`getRequestDispatcher(org.apache.sling.api.resource.Resource resource, org.apache.sling.api.request.RequestDispatcherOptions options)`
Deprecated.
Get request dispatcher for given resource.

## Method Details

### getRequestDispatcher

javax.servlet.RequestDispatcher getRequestDispatcher(String path, org.apache.sling.api.request.RequestDispatcherOptions options)
Deprecated.
Get request dispatcher for given path.

Parameters:
  `path` - Path
  `options` - Options. Null if no options are provided.
Returns:
  Request dispatcher

### getRequestDispatcher

javax.servlet.RequestDispatcher getRequestDispatcher(org.apache.sling.api.resource.Resource resource, org.apache.sling.api.request.RequestDispatcherOptions options)
Deprecated.
Get request dispatcher for given resource.

Parameters:
  `resource` - Resource
  `options` - Options. Null if no options are provided.
Returns:
  Request dispatcher